cxf-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: CXF 2.2.x uses Spring 2.5.5 as opposed to 2.5.6, any reason not to use 2.5.6?
Date Mon, 14 Sep 2009 15:29:12 GMT
On Mon September 14 2009 11:19:03 am KARR, DAVID (ATTCINW) wrote:
> The lib directory of CXF contains Spring 2.5.5, as opposed to 2.5.6, the
> latest 2.5.x release.  Is there any reason to expect issues if I use
> 2.5.6?

There aren't any real "issues" that I'm aware of.   

The reason we use 2.5.5 is that Spring left a printStackTrace() in one of the 
JMS shutdown things in 2.5.6 that causes all kinds of spurious stack traces to 
spit out in our unit/system tests that then hide other issues.   Sticking with 
2.5.5 keeps the test suites quieter and easier to work with.
 
-- 
Daniel Kulp
dkulp@apache.org
http://www.dankulp.com/blog

Mime
View raw message